summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilip Deljanov2019-03-25 16:20:37 -0400
committerPhilip Deljanov2019-03-25 16:20:37 -0400
commit6979779052c4aa66a39b75be1bf1d2a9c8a17ab0 (patch)
tree2710377b45f9577f150ca11f72c15307d0864b93
downloadaur-fontconfig-infinality-remix.tar.gz
Add fontconfig-infinality-remix to AUR.
-rw-r--r--.SRCINFO56
-rw-r--r--0001-configure-2.13.1.patch89
-rw-r--r--0002-configure-2.13.1.ac.patch53
-rw-r--r--0003-Makefile-2.13.1.in.patch247
-rw-r--r--0004-Makefile-2.13.1.conf.d.patch134
-rw-r--r--0005-Makefile-2.13.1.am.in.patch49
-rw-r--r--PKGBUILD133
-rw-r--r--fc-cache-infinality-remix.hook12
-rwxr-xr-xfc-presets281
-rw-r--r--fontconfig-infinality-remix-srcs-2.13.1.tar.bz2bin0 -> 24550 bytes
-rw-r--r--fontconfig-infinality-remix.install69
11 files changed, 1123 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3963a2218ee
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,56 @@
+pkgbase = fontconfig-infinality-remix
+ pkgdesc = A library for configuring and customizing font access, optimized for Infinality Remix.
+ pkgver = 2.13.1
+ pkgrel = 2
+ url = http://www.fontconfig.org/release/
+ install = fontconfig-infinality-remix.install
+ arch = i686
+ arch = x86_64
+ groups = infinality-remix
+ license = custom
+ license = MIT
+ makedepends = gperf
+ makedepends = python-lxml
+ makedepends = python-six
+ makedepends = git
+ depends = expat
+ depends = freetype2
+ provides = fontconfig=$pkgver
+ provides = fontconfig-infinality-remix
+ conflicts = fontconfig
+ conflicts = fontconfig-infinality
+ conflicts = fontconfig-infinality-git
+ conflicts = fontconfig-infinality-ultimate
+ conflicts = fontconfig-infinality-ultimate-git
+ conflicts = fontconfig-iu-comp
+ options = libtool
+ backup = etc/fonts/fonts.conf
+ backup = etc/fonts/conf.avail.infinality/combi/30-metric-aliases-combi.conf
+ backup = etc/fonts/conf.avail.infinality/combi/37-repl-global-combi.conf
+ backup = etc/fonts/conf.avail.infinality/combi/60-latin-combi.conf
+ backup = etc/fonts/conf.avail.infinality/combi/65-non-latin-combi.conf
+ backup = etc/fonts/conf.avail.infinality/combi/66-aliases-wine-combi.conf
+ backup = etc/fonts/conf.avail.infinality/35-repl-custom.conf
+ backup = etc/fonts/conf.avail.infinality/38-repl-webfonts-custom.conf
+ backup = etc/fonts/conf.avail.infinality/97-selective-rendering-custom.conf
+ source = git+https://anongit.freedesktop.org/git/fontconfig#tag=2.13.1
+ source = fontconfig-infinality-remix-srcs-2.13.1.tar.bz2
+ source = fc-presets
+ source = fc-cache-infinality-remix.hook
+ source = 0001-configure-2.13.1.patch
+ source = 0002-configure-2.13.1.ac.patch
+ source = 0003-Makefile-2.13.1.in.patch
+ source = 0004-Makefile-2.13.1.conf.d.patch
+ source = 0005-Makefile-2.13.1.am.in.patch
+ sha256sums = SKIP
+ sha256sums = f8c49b4ee86ad64b1d3df700a5c0b337e44f507bb7e7d264eb5eaf0040998ef2
+ sha256sums = c291f3849369106c5005155b5b099459c86baf455cea0e080a76a3fdf8a8f4b7
+ sha256sums = 94e7b03a32304604be2cf5568c02805ea1ac45eb68104de400ae7f370e3e598b
+ sha256sums = 7a0597c3a926176b5c844aa15f3fc98007398eb24db336b059c30f1cec8510cf
+ sha256sums = ba8815b38d5d6e307d2107966c8b2ce0d2d48212ab99b55a56c6d66621b705ce
+ sha256sums = 039f53ede54db124ab55bf084c22359bf31e667e18e0abf660ce4b450610ae49
+ sha256sums = 6d1296fa0d86b95b41017e0c424c1cffea85606edaf80ed5e1d52b1d21486e5d
+ sha256sums = 61d6c1ecd4516a4b836c0dea3e0f70a4703ca326ffc830e9c135f907c464cfae
+
+pkgname = fontconfig-infinality-remix
+
diff --git a/0001-configure-2.13.1.patch b/0001-configure-2.13.1.patch
new file mode 100644
index 00000000000..7e78c8830ff
--- /dev/null
+++ b/0001-configure-2.13.1.patch
@@ -0,0 +1,89 @@
+From 1127988d78956f86880f85314a3d1169378a5db8 Mon Sep 17 00:00:00 2001
+From: Solomon Choina <shlomochoina@gmail.com>
+Date: Sun, 25 Mar 2018 14:05:26 -0400
+Subject: [PATCH] configure-20180325
+
+---
+ configure | 24 +++++++++++++++++++++++-
+ 1 file changed, 23 insertions(+), 1 deletion(-)
+
+diff --git a/configure b/configure
+index f7609c9..886ce06 100755
+--- a/configure
++++ b/configure
+@@ -656,6 +656,7 @@ XMLDIR
+ CONFIGDIR
+ BASECONFIGDIR
+ TEMPLATEDIR
++TEMPLATEINFDIR
+ FC_FONTDATE
+ FC_CACHEDIR
+ fc_cachedir
+@@ -866,6 +867,7 @@ with_default_fonts
+ with_add_fonts
+ with_cache_dir
+ with_templatedir
++with_templateinfdir
+ with_baseconfigdir
+ with_configdir
+ with_xmldir
+@@ -1567,6 +1569,10 @@ Optional Packages:
+ [default=LOCALSTATEDIR/cache/fontconfig]
+ --with-templatedir=DIR Use DIR to store the configuration template files
+ [default=DATADIR/fontconfig/conf.avail]
++ --with-templateinfdir=DIR
++ Use DIR to store the Infinality compliant
++ configuration template files
++ [default=DATADIR/fontconfig/conf.avail.infinality]
+ --with-baseconfigdir=DIR
+ Use DIR to store the base configuration files
+ [default=SYSCONFDIR/fonts]
+@@ -17808,6 +17814,12 @@ else
+ templatedir=yes
+ fi
+
++# Check whether --with-templateinfdir was given.
++if test "${with_templateinfdir+set}" = set; then :
++ withval=$with_templateinfdir; templateinfdir="$withval"
++else
++ templateinfdir=yes
++fi
+
+ # Check whether --with-baseconfigdir was given.
+ if test "${with_baseconfigdir+set}" = set; then :
+@@ -17840,6 +17852,15 @@ no|yes)
+ *)
+ ;;
+ esac
++
++case "$templateinfdir" in
++no|yes)
++ templateinfdir='${datadir}'/fontconfig/conf.avail.infinality
++ ;;
++*)
++ ;;
++esac
++
+ case "$baseconfigdir" in
+ no|yes)
+ baseconfigdir='${sysconfdir}'/fonts
+@@ -17863,6 +17884,7 @@ no|yes)
+ esac
+
+ TEMPLATEDIR=${templatedir}
++TEMPLATEINFDIR=${templateinfdir}
+ BASECONFIGDIR=${baseconfigdir}
+ CONFIGDIR=${configdir}
+ XMLDIR=${xmldir}
+@@ -18926,7 +18948,7 @@ _ACEOF
+
+
+
+-ac_config_files="$ac_config_files Makefile fontconfig/Makefile fc-lang/Makefile fc-case/Makefile src/Makefile conf.d/Makefile fc-cache/Makefile fc-cat/Makefile fc-conflist/Makefile fc-list/Makefile fc-match/Makefile fc-pattern/Makefile fc-query/Makefile fc-scan/Makefile fc-validate/Makefile doc/Makefile doc/version.sgml its/Makefile po/Makefile.in po-conf/Makefile.in test/Makefile fontconfig.spec fontconfig.pc fontconfig-zip"
++ac_config_files="$ac_config_files Makefile fontconfig/Makefile fc-lang/Makefile fc-case/Makefile src/Makefile conf.d/Makefile conf.d.infinality/Makefile fc-cache/Makefile fc-cat/Makefile fc-conflist/Makefile fc-list/Makefile fc-match/Makefile fc-pattern/Makefile fc-query/Makefile fc-scan/Makefile fc-validate/Makefile doc/Makefile doc/version.sgml its/Makefile po/Makefile.in po-conf/Makefile.in test/Makefile fontconfig.spec fontconfig.pc fontconfig-zip"
+
+ cat >confcache <<\_ACEOF
+ # This file is a shell script that caches the results of configure
+--
+2.16.3
+
diff --git a/0002-configure-2.13.1.ac.patch b/0002-configure-2.13.1.ac.patch
new file mode 100644
index 00000000000..91f91aa9a5e
--- /dev/null
+++ b/0002-configure-2.13.1.ac.patch
@@ -0,0 +1,53 @@
+--- a/configure.ac 2016-04-06 14:05:36.000000000 +0200
++++ b/configure.ac 2016-04-10 05:01:11.577597555 +0200
+@@ -524,9 +524,14 @@ AC_SUBST(FC_FONTDATE)
+
+ AC_ARG_WITH(templatedir,
+ [AC_HELP_STRING([--with-templatedir=DIR],
+- [Use DIR to store the configuration template files [default=DATADIR/fontconfig/conf.avail]])],
++ [Use DIR to store the generic configuration template files [default=DATADIR/fontconfig/conf.avail]])],
+ [templatedir="$withval"],
+ [templatedir=yes])
++AC_ARG_WITH(templateinfdir,
++ [AC_HELP_STRING([--with-templateinfdir=DIR],
++ [Use DIR to store the Infinality compliant configuration template files [default=DATADIR/fontconfig/conf.avail.infinality]])],
++ [templateinfdir="$withval"],
++ [templateinfdir=yes])
+ AC_ARG_WITH(baseconfigdir,
+ [AC_HELP_STRING([--with-baseconfigdir=DIR],
+ [Use DIR to store the base configuration files [default=SYSCONFDIR/fonts]])],
+@@ -550,6 +555,13 @@ no|yes)
+ *)
+ ;;
+ esac
++case "$templateinfdir" in
++no|yes)
++ templateinfdir='${datadir}'/fontconfig/conf.avail.infinality
++ ;;
++*)
++ ;;
++esac
+ case "$baseconfigdir" in
+ no|yes)
+ baseconfigdir='${sysconfdir}'/fonts
+@@ -573,10 +585,12 @@ no|yes)
+ esac
+
+ TEMPLATEDIR=${templatedir}
++TEMPLATEINFDIR=${templateinfdir}
+ BASECONFIGDIR=${baseconfigdir}
+ CONFIGDIR=${configdir}
+ XMLDIR=${xmldir}
+ AC_SUBST(TEMPLATEDIR)
++AC_SUBST(TEMPLATEINFDIR)
+ AC_SUBST(BASECONFIGDIR)
+ AC_SUBST(CONFIGDIR)
+ AC_SUBST(XMLDIR)
+@@ -706,6 +720,7 @@ fc-blanks/Makefile
+ fc-case/Makefile
+ src/Makefile
+ conf.d/Makefile
++conf.d.infinality/Makefile
+ fc-cache/Makefile
+ fc-cat/Makefile
+ fc-list/Makefile
diff --git a/0003-Makefile-2.13.1.in.patch b/0003-Makefile-2.13.1.in.patch
new file mode 100644
index 00000000000..7a8e181ccfd
--- /dev/null
+++ b/0003-Makefile-2.13.1.in.patch
@@ -0,0 +1,247 @@
+From 6db25311e1a1d817ee1a1115d23847329348b23c Mon Sep 17 00:00:00 2001
+From: Solomon Choina <shlomochoina@gmail.com>
+Date: Sun, 25 Mar 2018 14:42:19 -0400
+Subject: [PATCH] Makefile-20180325.in
+
+---:w
+ Makefile.in | 1 +
+ conf.d/Makefile.in | 1 +
+ doc/Makefile.in | 1 +
+ fc-cache/Makefile.in | 1 +
+ fc-case/Makefile.in | 1 +
+ fc-cat/Makefile.in | 1 +
+ fc-conflist/Makefile.in | 1 +
+ fc-lang/Makefile.in | 1 +
+ fc-list/Makefile.in | 1 +
+ fc-match/Makefile.in | 1 +
+ fc-pattern/Makefile.in | 1 +
+ fc-query/Makefile.in | 1 +
+ fc-scan/Makefile.in | 1 +
+ fc-validate/Makefile.in | 1 +
+ fontconfig/Makefile.in | 1 +
+ its/Makefile.in | 1 +
+ src/Makefile.in | 1 +
+ test/Makefile.in | 1 +
+ 19 files changed, 107 insertions(+)
+ create mode 100644 0001-configure-20180325.patch
+
+
+diff --git a/Makefile.in b/Makefile.in
+index 30734df..7476ab5 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -389,6 +389,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/conf.d/Makefile.in b/conf.d/Makefile.in
+index b984aac..2c33f6f 100644
+--- a/conf.d/Makefile.in
++++ b/conf.d/Makefile.in
+@@ -301,6 +301,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/doc/Makefile.in b/doc/Makefile.in
+index 9e03624..e9d3332 100644
+--- a/doc/Makefile.in
++++ b/doc/Makefile.in
+@@ -546,6 +546,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-cache/Makefile.in b/fc-cache/Makefile.in
+index d291623..0d1c033 100644
+--- a/fc-cache/Makefile.in
++++ b/fc-cache/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-case/Makefile.in b/fc-case/Makefile.in
+index d342751..6f01df0 100644
+--- a/fc-case/Makefile.in
++++ b/fc-case/Makefile.in
+@@ -319,6 +319,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-cat/Makefile.in b/fc-cat/Makefile.in
+index 07e35c5..080d152 100644
+--- a/fc-cat/Makefile.in
++++ b/fc-cat/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-conflist/Makefile.in b/fc-conflist/Makefile.in
+index 4db0122..82067a1 100644
+--- a/fc-conflist/Makefile.in
++++ b/fc-conflist/Makefile.in
+@@ -352,6 +352,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-lang/Makefile.in b/fc-lang/Makefile.in
+index 45fb91e..c34d3e6 100644
+--- a/fc-lang/Makefile.in
++++ b/fc-lang/Makefile.in
+@@ -319,6 +319,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-list/Makefile.in b/fc-list/Makefile.in
+index 5e048f9..5d0145f 100644
+--- a/fc-list/Makefile.in
++++ b/fc-list/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-match/Makefile.in b/fc-match/Makefile.in
+index fff0c0b..67032d9 100644
+--- a/fc-match/Makefile.in
++++ b/fc-match/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-pattern/Makefile.in b/fc-pattern/Makefile.in
+index 31c7ece..0bad3b7 100644
+--- a/fc-pattern/Makefile.in
++++ b/fc-pattern/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-query/Makefile.in b/fc-query/Makefile.in
+index 5fefdc4..86140d4 100644
+--- a/fc-query/Makefile.in
++++ b/fc-query/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-scan/Makefile.in b/fc-scan/Makefile.in
+index f5169a3..770fe9a 100644
+--- a/fc-scan/Makefile.in
++++ b/fc-scan/Makefile.in
+@@ -350,6 +350,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fc-validate/Makefile.in b/fc-validate/Makefile.in
+index 32e29f0..aecd457 100644
+--- a/fc-validate/Makefile.in
++++ b/fc-validate/Makefile.in
+@@ -352,6 +352,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/fontconfig/Makefile.in b/fontconfig/Makefile.in
+index c36c8bf..11a4bde 100644
+--- a/fontconfig/Makefile.in
++++ b/fontconfig/Makefile.in
+@@ -297,6 +297,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/its/Makefile.in b/its/Makefile.in
+index 4bc26b1..4b0597b 100644
+--- a/its/Makefile.in
++++ b/its/Makefile.in
+@@ -278,6 +278,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/src/Makefile.in b/src/Makefile.in
+index 9996941..9646b89 100644
+--- a/src/Makefile.in
++++ b/src/Makefile.in
+@@ -366,6 +366,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+diff --git a/test/Makefile.in b/test/Makefile.in
+index c389d31..8494d13 100644
+--- a/test/Makefile.in
++++ b/test/Makefile.in
+@@ -523,6 +523,7 @@ SET_MAKE = @SET_MAKE@
+ SHELL = @SHELL@
+ STRIP = @STRIP@
+ TEMPLATEDIR = @TEMPLATEDIR@
++TEMPLATEINFDIR = @TEMPLATEINFDIR@
+ USE_NLS = @USE_NLS@
+ UUID_CFLAGS = @UUID_CFLAGS@
+ UUID_LIBS = @UUID_LIBS@
+--
+2.16.3
+
diff --git a/0004-Makefile-2.13.1.conf.d.patch b/0004-Makefile-2.13.1.conf.d.patch
new file mode 100644
index 00000000000..892d2fc5fe8
--- /dev/null
+++ b/0004-Makefile-2.13.1.conf.d.patch
@@ -0,0 +1,134 @@
+From f7e2933b792c7f7d55fac0c99a4426437f07854f Mon Sep 17 00:00:00 2001
+From: Solomon Choina <shlomochoina@gmail.com>
+Date: Sun, 25 Mar 2018 16:26:59 -0400
+Subject: [PATCH] Makefile-20180325.conf.d
+
+---
+ conf.d/Makefile.am | 42 ++----------------------------------------
+ conf.d/Makefile.in | 28 +++-------------------------
+ 2 files changed, 5 insertions(+), 65 deletions(-)
+
+diff --git a/conf.d/Makefile.am b/conf.d/Makefile.am
+index ff03fb2..a892b04 100644
+--- a/conf.d/Makefile.am
++++ b/conf.d/Makefile.am
+@@ -21,28 +21,10 @@
+ # TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+ # PERFORMANCE OF THIS SOFTWARE.
+
+-BUILT_SOURCES = README
+-DOC_SOURCES = README.in
++
+ DOC_FILES = $(DOC_SOURCES:.in=)
+
+-CONF_LINKS = \
+- 10-hinting-$(PREFERRED_HINTING).conf \
+- 10-scale-bitmap-fonts.conf \
+- 20-unhint-small-vera.conf \
+- 30-metric-aliases.conf \
+- 40-nonlatin.conf \
+- 45-generic.conf \
+- 45-latin.conf \
+- 49-sansserif.conf \
+- 50-user.conf \
+- 51-local.conf \
+- 60-generic.conf \
+- 60-latin.conf \
+- 65-fonts-persian.conf \
+- 65-nonlatin.conf \
+- 69-unifont.conf \
+- 80-delicious.conf \
+- 90-synthetic.conf
++CONF_LINKS =
+
+ EXTRA_DIST = $(template_DATA) $(DOC_SOURCES)
+ CLEANFILES = $(DOC_FILES)
+@@ -87,24 +69,4 @@ template_DATA = \
+ 80-delicious.conf \
+ 90-synthetic.conf
+
+-README: $(srcdir)/README.in
+- sed "s|\@TEMPLATEDIR\@|$(templatedir)|" $< > $@
+-
+-install-data-hook:
+- mkdir -p $(DESTDIR)$(configdir)
+- @(echo cd $(DESTDIR)$(configdir); \
+- cd $(DESTDIR)$(configdir); \
+- for i in $(CONF_LINKS); do \
+- echo $(RM) $$i";" ln -s $(templatedir)/$$i .; \
+- $(RM) $$i; \
+- ln -s $(templatedir)/$$i .; \
+- done)
+-uninstall-local:
+- @(echo cd $(DESTDIR)$(configdir); \
+- cd $(DESTDIR)$(configdir); \
+- for i in $(CONF_LINKS); do \
+- echo $(RM) $$i; \
+- $(RM) $$i; \
+- done)
+-
+ -include $(top_srcdir)/git.mk
+diff --git a/conf.d/Makefile.in b/conf.d/Makefile.in
+index 2c33f6f..7f6ddeb 100644
+--- a/conf.d/Makefile.in
++++ b/conf.d/Makefile.in
+@@ -180,7 +180,7 @@ am__uninstall_files_from_dir = { \
+ || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
+ $(am__cd) "$$dir" && rm -f $$files; }; \
+ }
+-am__installdirs = "$(DESTDIR)$(configdir)" "$(DESTDIR)$(templatedir)"
++am__installdirs = "$(DESTDIR)$(templatedir)"
+ DATA = $(config_DATA) $(template_DATA)
+ am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+ am__DIST_COMMON = $(srcdir)/Makefile.in README
+@@ -367,27 +367,8 @@ target_alias = @target_alias@
+ top_build_prefix = @top_build_prefix@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+-BUILT_SOURCES = README
+-DOC_SOURCES = README.in
+ DOC_FILES = $(DOC_SOURCES:.in=)
+-CONF_LINKS = \
+- 10-hinting-$(PREFERRED_HINTING).conf \
+- 10-scale-bitmap-fonts.conf \
+- 20-unhint-small-vera.conf \
+- 30-metric-aliases.conf \
+- 40-nonlatin.conf \
+- 45-generic.conf \
+- 45-latin.conf \
+- 49-sansserif.conf \
+- 50-user.conf \
+- 51-local.conf \
+- 60-generic.conf \
+- 60-latin.conf \
+- 65-fonts-persian.conf \
+- 65-nonlatin.conf \
+- 69-unifont.conf \
+- 80-delicious.conf \
+- 90-synthetic.conf
++CONF_LINKS =
+
+ EXTRA_DIST = $(template_DATA) $(DOC_SOURCES)
+ CLEANFILES = $(DOC_FILES)
+@@ -553,7 +534,7 @@ check: $(BUILT_SOURCES)
+ $(MAKE) $(AM_MAKEFLAGS) check-am
+ all-am: Makefile $(DATA)
+ installdirs:
+- for dir in "$(DESTDIR)$(configdir)" "$(DESTDIR)$(templatedir)"; do \
++ for dir in "$(DESTDIR)$(templatedir)"; do \
+ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+ done
+ install: $(BUILT_SOURCES)
+@@ -676,9 +657,6 @@ uninstall-am: uninstall-configDATA uninstall-local \
+ .PRECIOUS: Makefile
+
+
+-README: $(srcdir)/README.in
+- sed "s|\@TEMPLATEDIR\@|$(templatedir)|" $< > $@
+-
+ install-data-hook:
+ mkdir -p $(DESTDIR)$(configdir)
+ @(echo cd $(DESTDIR)$(configdir); \
+--
+2.16.3
+
diff --git a/0005-Makefile-2.13.1.am.in.patch b/0005-Makefile-2.13.1.am.in.patch
new file mode 100644
index 00000000000..e2a3b00056a
--- /dev/null
+++ b/0005-Makefile-2.13.1.am.in.patch
@@ -0,0 +1,49 @@
+From 742bdc47854f8104a712136fdcce1c92ec1b6a79 Mon Sep 17 00:00:00 2001
+From: Solomon Choina <shlomochoina@gmail.com>
+Date: Sun, 25 Mar 2018 16:33:46 -0400
+Subject: [PATCH] Makefile-20180325.am.in
+
+---
+
+ Makefile.am | 2 +-
+ Makefile.in | 4 +-
+ 3 files changed, 137 insertions(+), 3 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index cc3024e..ba45eed 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -24,7 +24,7 @@
+ SUBDIRS=fontconfig fc-case fc-lang src \
+ fc-cache fc-cat fc-conflist fc-list fc-match \
+ fc-pattern fc-query fc-scan fc-validate conf.d \
+- its po po-conf test
++ conf.d.infinality its po po-conf test
+ if ENABLE_DOCS
+ SUBDIRS += doc
+ endif
+diff --git a/Makefile.in b/Makefile.in
+index 7476ab5..976cb97 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -225,7 +225,7 @@ CTAGS = ctags
+ CSCOPE = cscope
+ DIST_SUBDIRS = fontconfig fc-case fc-lang src fc-cache fc-cat \
+ fc-conflist fc-list fc-match fc-pattern fc-query fc-scan \
+- fc-validate conf.d its po po-conf test doc
++ fc-validate conf.d conf.d.infinality its po po-conf test doc
+ am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
+ $(srcdir)/fontconfig-zip.in $(srcdir)/fontconfig.pc.in \
+ $(srcdir)/fontconfig.spec.in ABOUT-NLS AUTHORS COPYING \
+@@ -457,7 +457,7 @@ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ SUBDIRS = fontconfig fc-case fc-lang src fc-cache fc-cat fc-conflist \
+ fc-list fc-match fc-pattern fc-query fc-scan fc-validate \
+- conf.d its po po-conf test $(am__append_1)
++ conf.d conf.d.infinality its po po-conf test $(am__append_1)
+ ACLOCAL_AMFLAGS = -I m4
+ EXTRA_DIST = config.rpath fontconfig.pc.in fonts.conf.in fonts.dtd \
+ fontconfig.spec.in fontconfig.spec fontconfig-zip.in \
+--
+2.16.3
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..753357ac04f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,133 @@
+# Maintainer: Philip Deljanov <philip dot deljanov at gmail dot com>
+# Contributor: bohoomil <bohoomil at zoho dot com>
+
+pkgname=fontconfig-infinality-remix
+_basename=fontconfig
+pkgdesc="A library for configuring and customizing font access, optimized for Infinality Remix."
+url='http://www.fontconfig.org/release/'
+license=('custom' 'MIT')
+pkgver=2.13.1
+pkgrel=2
+arch=(i686 x86_64)
+groups=('infinality-remix')
+
+depends=('expat' 'freetype2')
+makedepends=('gperf' 'python-lxml' 'python-six' 'git')
+options=('libtool')
+
+provides=('fontconfig=$pkgver' 'fontconfig-infinality-remix')
+
+conflicts=('fontconfig'
+ 'fontconfig-infinality'
+ 'fontconfig-infinality-git'
+ 'fontconfig-infinality-ultimate'
+ 'fontconfig-infinality-ultimate-git'
+ 'fontconfig-iu-comp')
+
+backup=('etc/fonts/fonts.conf'
+ 'etc/fonts/conf.avail.infinality/combi/30-metric-aliases-combi.conf'
+ 'etc/fonts/conf.avail.infinality/combi/37-repl-global-combi.conf'
+ 'etc/fonts/conf.avail.infinality/combi/60-latin-combi.conf'
+ 'etc/fonts/conf.avail.infinality/combi/65-non-latin-combi.conf'
+ 'etc/fonts/conf.avail.infinality/combi/66-aliases-wine-combi.conf'
+ 'etc/fonts/conf.avail.infinality/35-repl-custom.conf'
+ 'etc/fonts/conf.avail.infinality/38-repl-webfonts-custom.conf'
+ 'etc/fonts/conf.avail.infinality/97-selective-rendering-custom.conf')
+
+install=fontconfig-infinality-remix.install
+
+source=("git+https://anongit.freedesktop.org/git/fontconfig#tag=${pkgver}"
+ fontconfig-infinality-remix-srcs-${pkgver}.tar.bz2
+ fc-presets
+ fc-cache-infinality-remix.hook
+ 0001-configure-${pkgver}.patch
+ 0002-configure-${pkgver}.ac.patch
+ 0003-Makefile-${pkgver}.in.patch
+ 0004-Makefile-${pkgver}.conf.d.patch
+ 0005-Makefile-${pkgver}.am.in.patch)
+
+sha256sums=('SKIP'
+ 'f8c49b4ee86ad64b1d3df700a5c0b337e44f507bb7e7d264eb5eaf0040998ef2'
+ 'c291f3849369106c5005155b5b099459c86baf455cea0e080a76a3fdf8a8f4b7'
+ '94e7b03a32304604be2cf5568c02805ea1ac45eb68104de400ae7f370e3e598b'
+ '7a0597c3a926176b5c844aa15f3fc98007398eb24db336b059c30f1cec8510cf'
+ 'ba8815b38d5d6e307d2107966c8b2ce0d2d48212ab99b55a56c6d66621b705ce'
+ '039f53ede54db124ab55bf084c22359bf31e667e18e0abf660ce4b450610ae49'
+ '6d1296fa0d86b95b41017e0c424c1cffea85606edaf80ed5e1d52b1d21486e5d'
+ '61d6c1ecd4516a4b836c0dea3e0f70a4703ca326ffc830e9c135f907c464cfae')
+
+# a nice page to test font matching:
+# http://zipcon.net/~swhite/docs/computers/browsers/fonttest.html
+prepare() {
+
+ patches=(0001-configure-${pkgver}.patch
+ 0002-configure-${pkgver}.ac.patch
+ 0003-Makefile-${pkgver}.in.patch
+ 0004-Makefile-${pkgver}.conf.d.patch
+ 0005-Makefile-${pkgver}.am.in.patch
+ )
+
+ # Copy the Infinality font configuration.
+ cd "${_basename}-infinality-remix-srcs"
+ cp -r conf/conf.d.infinality "${srcdir}/${_basename}/conf.d.infinality"
+
+ cd "${srcdir}/${_basename}"
+ NOCONFIGURE=1 ./autogen.sh
+
+ # Infinality & other downstream patches
+ for patch in "${patches[@]}"; do
+ patch -Np1 -i ../${patch}
+ done
+
+ aclocal
+ libtoolize -f
+ automake -afi
+}
+
+build() {
+ cd "${_basename}"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-templatedir=/etc/fonts/conf.avail \
+ --with-templateinfdir=/etc/fonts/conf.avail.infinality \
+ --with-xmldir=/etc/fonts \
+ --localstatedir=/var \
+ --disable-static \
+ --with-default-fonts=/usr/share/fonts \
+ --with-add-fonts=/usr/share/fonts
+ make
+}
+
+#check() {
+# cd "${_basename}"
+# make -k check
+#}
+
+package() {
+ cd "${_basename}"
+ make DESTDIR="${pkgdir}" install
+
+ # Install license
+ install -m755 -d "${pkgdir}"/usr/share/licenses/"${_basename}"
+ install -m644 COPYING "${pkgdir}"/usr/share/licenses/"${_basename}"
+
+ # Install fc-presets
+ install -m755 "${srcdir}"/fc-presets "${pkgdir}"/usr/bin/"fc-presets"
+
+ # ALPM/Pacman hook
+ install -D -m 644 "${srcdir}"/fc-cache-infinality-remix.hook \
+ "${pkgdir}/usr/share/libalpm/hooks/90-fc-cache-infinality-remix.hook"
+
+ # Switch to Infinality Remix sources
+ cd "${srcdir}"/"${_basename}-infinality-remix-srcs"
+
+ # Copy the Infinality font configuration preset folders which the Makefile will not include in the package.
+ cp -r conf/conf.d.infinality/{combi,free,ms,remix} "${pkgdir}"/etc/fonts/conf.avail.infinality
+
+ # Copy extra documentation
+ install -m755 -d "${pkgdir}"/usr/share/doc/"${pkgname}"
+ cp -r doc/"${pkgname}" "${pkgdir}"/usr/share/doc/
+
+ find "${pkgdir}" -type d -name .git -exec rm -r '{}' +
+}
diff --git a/fc-cache-infinality-remix.hook b/fc-cache-infinality-remix.hook
new file mode 100644
index 00000000000..653b7c94915
--- /dev/null
+++ b/fc-cache-infinality-remix.hook
@@ -0,0 +1,12 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/share/fonts/*
+
+[Action]
+Description = Updating font cache (Infinality Remix)
+When = PostTransaction
+Exec = /usr/bin/fc-cache --system-only
+NeedsTargets
diff --git a/fc-presets b/fc-presets
new file mode 100755
index 00000000000..eac87d15c71
--- /dev/null
+++ b/fc-presets
@@ -0,0 +1,281 @@
+#!/bin/bash
+
+### fc-presets v.0.9.3 ###
+### Set default fontconfig presets for your font collection. ###
+### (Thanks cfr for testing and suggestions.) ###
+### ###
+### Copyright (c) 2016 bohoomil ###
+### The MIT License (MIT) http://opensource.org/licenses/MIT ###
+### part of infinality-bundle http://bohoomil.com ###
+
+RED='\E[01;31m'
+GRE='\E[01;32m'
+YEL='\E[01;33m'
+RES='\E[0m'
+
+presets_dir="/etc/fonts/conf.avail.infinality"
+config_dir="/etc/fonts/conf.d"
+
+presets_list=(combi free ms)
+options=(combi free ms reset quit)
+
+option=$1
+
+usage(){
+ echo "Usage: ${0##*/} [check|set|help]"
+ echo ''
+ echo ' Run this script to set a fontconfig preset for your default'
+ echo ' font collection. You can also check which preset you are'
+ echo ' currently using.'
+ echo ''
+ echo 'Options:'
+ echo ' check Check which preset is currently active'
+ echo ' set Set a preset configuration (requires root privileges)'
+ echo ' Available presets are:'
+ echo ' combi -- custom font collection'
+ echo ' free -- free font collection'
+ echo ' ms -- Microsoft font collection'
+ echo ' help Print this help and exit'
+ echo ''
+ echo 'Troubleshooting:'
+ echo '================'
+ echo ' If the [ preset ] has been set correctly, <fc-presets check> should'
+ echo ' return the following information (only one [ preset ] can be set!):'
+ echo ' [ preset1 ] not set'
+ echo ' [ preset3 ] not set'
+ echo ''
+ echo ' The active preset seems to be [ preset2 ].'
+ echo ' Checking symlinks now...'
+ echo ''
+ echo ' 30-metric-aliases-preset2.conf is OK'
+ echo ' 37-repl-global-preset2.conf is OK'
+ echo ' 60-latin-preset2.conf is OK'
+ echo ' 65-non-latin-preset2.conf is OK'
+ echo ' 66-aliases-wine-preset2.conf is OK'
+ echo ''
+ echo ' If checking symlinks has completed successfully but at least one'
+ echo ' of the lines reads:'
+ echo ' 37-repl-global-free.conf is NOT OK'
+ echo ' :: Run <fc-presets help> for more information.'
+ echo ' then the symbolic link must be broken.'
+ echo ' How to fix:'
+ echo ' -----------'
+ echo ' 1. Run <fc-presets set> as root.'
+ echo ' 2. Choose 4) to disable all presets.'
+ echo ' 3. Re-run <fc-presets set> as root and choose a preset 1) - 3).'
+ echo ''
+ echo ' If no preset has been set (which means that at least 1 symbolic link'
+ echo ' from a preset is missing), the relevant message is displayed:'
+ echo ' [ combi ] not set'
+ echo ' [ ms ] not set'
+ echo ' [ free ] not set'
+ echo ' How to fix:'
+ echo ' -----------'
+ echo ' 1. Run <fc-presets set> as root and choose a preset 1) - 3).'
+ echo ' 2. If the error is returned:'
+ echo ' [ preset ] preset is currently in use. Aborting. '
+ echo ' first reset current settings and then set the preset again.'
+ echo ''
+ exit 1
+}
+
+OK(){
+ echo -e 'Done.'
+ exit 0
+}
+
+NOTOK(){
+ echo -e 'An error occured. Check the content of'
+ echo -e "$config_dir manually."
+ exit 1
+}
+
+check_current(){
+ pushd $config_dir >/dev/null
+ for preset in ${presets_list[@]}; do
+ check_preset=$(ls *.conf | grep "\-$preset.conf")
+ count_all=$(echo $check_preset | wc -w)
+ if [[ $? -ne 0 ]] || [[ $count_all -ne 5 ]]; then
+ echo -e " [ $preset ] is not set "
+ echo -e " $YEL:: Run <fc-presets help> for more information.$RES"
+ else
+ echo ''
+ echo " $count_all symlinks found."
+ echo " The active preset seems to be [ $preset ]."
+ echo ' Checking symlinks now...'
+ echo ''
+ i=1
+ ls *.conf | grep "\-$preset.conf" | while read line; do
+ array[ $i ]="$line"
+ if [ -e "$line" ]; then
+ echo -e "$line$GRE is OK$RES"
+ else
+ echo -e "$line$RED is NOT OK$RES"
+ echo -e " $YEL:: Run <fc-presets help> for more information.$RES"
+ fi
+ (( i++ ))
+ done
+ exit 0
+ fi
+ done
+ popd >/dev/null
+}
+
+check_current_prejob(){
+ pushd $config_dir >/dev/null
+ targets_current=("30-metric-aliases-$option.conf" "37-repl-global-$option.conf" "60-latin-$option.conf" "65-non-latin-$option.conf" "66-aliases-wine-$option.conf")
+ for preset in ${targets_current[@]}; do
+ check_current=$(ls *.conf | grep "\-$option.conf")
+ count_all=$(echo $check_current | wc -w)
+ if [[ -e $preset ]] && [[ $count_all -eq 5 ]]; then
+ echo -e " You are already using [ $option ] preset. Aborting."
+ exit 1
+ fi
+ done
+ popd >/dev/null
+}
+
+targets_check_prejob(){
+ pushd $presets_dir >/dev/null
+ preset_selected=$(ls "$option"/*\-$option.conf | wc -w)
+ if [ $preset_selected -lt 5 ]; then
+ echo -e 'Target not found. Did you set up'
+ echo -e 'fontconfig-infinality-ultimate correctly?'
+ exit 1
+ fi
+ popd >/dev/null
+}
+
+fc_reset(){
+ pushd $config_dir >/dev/null
+ targets_rm=("30-metric-aliases-*.conf" "37-repl-global-*.conf" "60-latin-*.conf" "65-non-latin-*.conf" "66-aliases-wine-*.conf")
+ for target in "${targets_rm[@]}"; do
+ # remove old
+ if [ $UID -ne 0 ]; then
+ echo -e 'Run the script again as root to commit changes.'
+ exit 1
+ else
+ rm $target >/dev/null 2>&1
+ fi
+ done
+ popd >/dev/null
+}
+
+fc_set(){
+ pushd $config_dir >/dev/null
+ check_preset=$(ls | grep "\-$option.conf")
+ count_all=$(echo $check_preset | wc -w)
+ if [[ $? -eq 0 ]] && [[ $count_all -eq 5 ]]; then
+ current=$option
+ echo -e " [ $current ] preset is currently in use. Aborting."
+ else
+ if [ $UID -ne 0 ]; then
+ echo -e 'Run the script again as root to commit changes.'
+ exit 1
+ else
+ preset=$option
+ # create new
+ targets_list=$(ls $presets_dir/$preset/*.conf)
+ for target in ${targets_list[@]}; do
+ ln -sf $target $config_dir
+ done
+ fi
+ fi
+ popd >/dev/null
+}
+
+custom_postjob(){
+ pushd $config_dir >/dev/null
+ targets_current=("30-metric-aliases-$option.conf" "37-repl-global-$option.conf" "60-latin-$option.conf" "65-non-latin-$option.conf" "66-aliases-wine-$option.conf")
+ for preset in ${targets_current[@]}; do
+ check_current=$(ls *.conf | grep "\-$option.conf")
+ if [[ $check_current == *combi* ]] && [[ -f $config_dir/35-repl-custom.conf ]]; then
+ rm -f 35-repl-custom.conf 2>/dev/null
+ elif [[ $check_current == *free* ]] || [[ $check_current == *ms* ]]; then
+ if [ ! -f 35-repl-custom ]; then
+ ln -s $presets_dir/35-repl-custom.conf $config_dir/35-repl-custom.conf 2>/dev/null
+ fi
+ fi
+ done
+ popd >/dev/null
+}
+
+set_preset(){
+ PS3='Enter your choice... '
+ select preset in "${options[@]}"; do
+ case "$preset" in
+ combi)
+ echo ' [ combi ] preset chosen...'
+ option='combi'
+ check_current_prejob
+ targets_check_prejob
+ fc_reset
+ fc_set
+ custom_postjob
+ [ $? -eq 0 ] && OK || NOTOK
+ ;;
+ free)
+ echo ' [ free ] preset chosen...'
+ option='free'
+ check_current_prejob
+ targets_check_prejob
+ fc_reset
+ fc_set
+ custom_postjob
+ [ $? -eq 0 ] && OK || NOTOK
+ ;;
+ ms)
+ echo ' [ ms ] preset chosen...'
+ option='ms'
+ check_current_prejob
+ targets_check_prejob
+ fc_reset
+ fc_set
+ custom_postjob
+ [ $? -eq 0 ] && OK || NOTOK
+ ;;
+ reset)
+ echo ' Removing current preset...'
+ fc_reset
+ [ $? -eq 0 ] && echo -e 'Done. Now select a new preset...'
+ continue
+ ;;
+ quit)
+ echo ' No preset chosen. Aborting.'
+ break
+ exit 1
+ ;;
+ *)
+ echo 'Invalid option. Try again:'
+ continue
+ ;;
+ esac
+ break
+ unset $current
+ unset $option
+done
+exit 0
+}
+
+howto(){
+ echo -e "Run '${0##*/} help' to list available options."
+ echo -e ''
+ echo -e 'Unknown or no option selected, aborting.'
+ exit 1
+}
+
+case $option in
+ help)
+ usage
+ ;;
+ check)
+ check_current
+ ;;
+ set)
+ set_preset
+ ;;
+ *)
+ howto
+ ;;
+esac
+
diff --git a/fontconfig-infinality-remix-srcs-2.13.1.tar.bz2 b/fontconfig-infinality-remix-srcs-2.13.1.tar.bz2
new file mode 100644
index 00000000000..f59e36f6234
--- /dev/null
+++ b/fontconfig-infinality-remix-srcs-2.13.1.tar.bz2
Binary files differ
diff --git a/fontconfig-infinality-remix.install b/fontconfig-infinality-remix.install
new file mode 100644
index 00000000000..4281b8103c6
--- /dev/null
+++ b/fontconfig-infinality-remix.install
@@ -0,0 +1,69 @@
+redundant=(20-unhint-small-dejavu-sans-mono.conf
+ 20-unhint-small-dejavu-sans.conf
+ 20-unhint-small-dejavu-serif.conf
+ 57-dejavu-sans-mono.conf
+ 57-dejavu-sans.conf
+ 57-dejavu-serif.conf)
+
+post_install() {
+
+ cat << _EOF
+
+ Thank you for checking out fontconfig-infinality-remix.
+
+ By default, fontconfig will use use the remix font collection.
+
+ If you are going to use either a custom font collection or core
+ Microsoft families, set the appropriate presets using
+ fc-presets command.
+
+_EOF
+
+ pushd etc/fonts/conf.d > /dev/null
+ echo -e "Removing redundant symlinks ..."
+ for bit in "${redundant[@]}"; do
+ if [ -f ${bit} ]; then
+ rm -f ${bit}
+ fi
+ done
+ echo -e "Done."
+
+ echo -e "Creating symlinks for remix font collection ..."
+ ln -sf ../conf.avail.infinality/remix/30-metric-aliases-remix.conf .
+ ln -sf ../conf.avail.infinality/remix/37-repl-global-remix.conf .
+ ln -sf ../conf.avail.infinality/remix/60-latin-remix.conf .
+ ln -sf ../conf.avail.infinality/remix/65-non-latin-remix.conf .
+ ln -sf ../conf.avail.infinality/remix/66-aliases-wine-remix.conf .
+ echo -e "Done."
+
+ popd > /dev/null
+
+ echo -e "Updating font cache... "
+ /usr/bin/fc-cache -f
+ echo -e "Done."
+}
+
+post_upgrade() {
+ echo -e "Updating font cache... "
+ /usr/bin/fc-cache -f
+ echo "Done."
+}
+
+post_remove() {
+ pushd etc/fonts/conf.d > /dev/null
+ echo -e "Restoring old symlinks ..."
+ for bit in "${redundant[@]}"; do
+ if [[ ! -f ${bit} ]] && [[ -f ../conf.avail/${bit} ]]; then
+ ln -sf ../conf.avail/${bit} .
+ fi
+ done
+ echo -e "Done."
+
+ cat << _EOF
+
+ fontconfig-infinality-remix has been removed.
+ Check for dead symlinks and leftover files
+ in /etc/fonts/conf.d/
+
+_EOF
+}